require 'sketchup.rb'
require 'extensions.rb'


# ========================


module LiJia

  module BanJin
  
    @extversion           = "0.1"
    @exttitle             = "Fast Flatten"
    @extname              = "fast_flatten"
    
    @extdir = File.dirname(__FILE__)
    @extdir.force_encoding('UTF-8') if @extdir.respond_to?(:force_encoding)
    
    loader = File.join( @extdir , @extname , "ruby/fast_flatten_entrance.rb" )
   
    extension             = SketchupExtension.new( @exttitle , loader )
    extension.copyright   = "Copyright 2024-#{Time.now.year}  快钣金"
    extension.creator     = "快钣金, kuaibanjin.com"
    extension.version     = @extversion
    extension.description = "钣金展平"

    Sketchup.register_extension( extension , true )
    
  end  
end 

